using System.Diagnostics;
namespace WingServerCommon.Config
{
    public class LogSettings
    {
        /// <summary>
        /// Indicates the logger is on debug mode
        /// </summary>
        /// <value></value>
        public bool DebugMode { get; }

        /// <summary>
        /// Indicates the logger level
        /// </summary>
        /// <value></value>
        public TraceLevel TraceLevel { get; }

        public LogSettings(bool debugMode, TraceLevel traceLevel)
        {
            DebugMode = debugMode;
            TraceLevel = traceLevel;
        }
    }
}