using System;
using WingServerCommon.Log;
using WingServerCommon.Interfaces.OpLog;
namespace WingServerCommon.Interfaces.Cache
{
    public interface IDiagnosisModulesManager : IBaseCacheManager<CacheDiagnosisModulesDTO>
    {

    }

    public class DiagnosisModulesManager : CacheManager<CacheDiagnosisModulesDTO>, IDiagnosisModulesManager
    {
        public DiagnosisModulesManager() : base()
        {
        }
    }

    public class CacheDiagnosisModulesDTO : ICacheObject
    {
        /// <summary>
        /// AI应用编码
        /// </summary>
        /// <value>DiagnosisModuleCode_20220107104236xiP0nz</value>
        public string Code { get; set; } = string.Empty;
        
        /// <summary>
        /// 应用类型
        /// </summary>
        /// <value>BreastLesionDetectBIRADS</value>
        public string DiagnosisModule { get; set; }

        /// <summary>
        /// 是否已开启
        /// </summary>
        /// <value>true</value>
        public bool Enabled { get; set; }
    }
}