﻿using System.Diagnostics;

namespace WingServerCommon.Log
{
    public interface ILogEngine
    {
        /// <summary>
        /// Write the log
        /// </summary>
        /// <param name="level">Log's level see <see cref="TraceLevel"/></param>
        /// <param name="msg">The message to write</param>
        void Write(TraceLevel level, string msg);
    }
}
